Results 1 to 12 of 12

Thread: Postgresql 7.2

  1. #1
    Join Date
    Jan 2002
    Posts
    19

    Question Unanswered: Postgresql 7.2

    Is possible install (or rebuild ) the postgresql 7.2 on redhat 7.1?
    I tried but without success, can anyone help me ?

  2. #2
    Join Date
    Sep 2001
    Location
    Vienna
    Posts
    400

    red hat and postgresql

    this is the best combinatino I think you can use.
    Where ist the probelm exactly?

    did you erased the rpms from the former versions?

    What do you make exactly?
    http://www.postgresql.org
    --Postgresql is the only kind of thing--

  3. #3
    Join Date
    Jan 2002
    Posts
    19

    Re: red hat and postgresql

    Originally posted by eperich
    this is the best combinatino I think you can use.
    Where ist the probelm exactly?

    did you erased the rpms from the former versions?

    What do you make exactly?
    Weel:

    I downloaded the file postgresql-7.2-1PGDG.src.rpm
    (there is no rpms for redhat 7.1), I tried to rebuild the
    package:

    root@XXXX> rpm --rebuild postgresql-7.2-1PGDG.src.rpm
    Installing postgresql-7.2-1PGDG.src.rpm
    error: failed build dependencies:
    gettext >= 0.10.36 is needed by postgresql-7.2-1PGDG

    I download the source for gettext 0.10.40 ( no rpm available
    for redhat 7.1 for a version >= 0.10.36) I compiled it an installed:

    root@XXXX> gettext --version
    gettext (GNU gettext) 0.10.40
    Copyright (C) 1995-1997, 2000, 2001 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    Written by Ulrich Drepper.

    but when I try to rebuild the package I obtain the same:

    root@XXXX> rpm --rebuild postgresql-7.2-1PGDG.src.rpm
    Installing postgresql-7.2-1PGDG.src.rpm
    error: failed build dependencies:
    gettext >= 0.10.36 is needed by postgresql-7.2-1PGDG




    Thank you.

  4. #4
    Join Date
    Sep 2001
    Location
    Vienna
    Posts
    400

    rpm

    I downloaded the rpms for the v7.2

    I run
    rpm -Uvh postgresql-*

    and it runs perfect

    run an initdb and then started with pg_ctl

    I'm using Red Hat

    maybe try it wihtout rebuild
    there are binaries for red Hat 7.2
    these will work on 7.1 also
    http://www.postgresql.org
    --Postgresql is the only kind of thing--

  5. #5
    Join Date
    Jan 2002
    Posts
    19

    Re: rpm

    Originally posted by eperich
    I downloaded the rpms for the v7.2

    I run
    rpm -Uvh postgresql-*

    and it runs perfect

    run an initdb and then started with pg_ctl

    I'm using Red Hat

    maybe try it wihtout rebuild
    there are binaries for red Hat 7.2
    these will work on 7.1 also
    Mmmmm......
    This is my situation:

    root@XXXX> ls
    postgresql-7.2-1PGDG.i386.rpm
    postgresql-contrib-7.2-1PGDG.i386.rpm
    postgresql-devel-7.2-1PGDG.i386.rpm
    postgresql-docs-7.2-1PGDG.i386.rpm
    postgresql-jdbc-7.2-1PGDG.i386.rpm
    postgresql-libs-7.2-1PGDG.i386.rpm
    postgresql-odbc-7.2-1PGDG.i386.rpm
    postgresql-perl-7.2-1PGDG.i386.rpm
    postgresql-python-7.2-1PGDG.i386.rpm
    postgresql-server-7.2-1PGDG.i386.rpm
    postgresql-tcl-7.2-1PGDG.i386.rpm
    postgresql-test-7.2-1PGDG.i386.rpm
    postgresql-tk-7.2-1PGDG.i386.rpm

    root@XXXX> rpm -Uvh postgresql-*
    error: failed dependencies:
    libcrypto.so.2 is needed by postgresql-7.2-1PGDG
    libreadline.so.4 is needed by postgresql-7.2-1PGDG
    libssl.so.2 is needed by postgresql-7.2-1PGDG
    libcrypto.so.2 is needed by postgresql-contrib-7.2-1PGDG
    libreadline.so.4 is needed by postgresql-contrib-7.2-1PGDG
    libssl.so.2 is needed by postgresql-contrib-7.2-1PGDG
    libcrypto.so.2 is needed by postgresql-devel-7.2-1PGDG
    libreadline.so.4 is needed by postgresql-devel-7.2-1PGDG
    libssl.so.2 is needed by postgresql-devel-7.2-1PGDG
    libcrypto.so.2 is needed by postgresql-libs-7.2-1PGDG
    libssl.so.2 is needed by postgresql-libs-7.2-1PGDG
    libcrypto.so.2 is needed by postgresql-perl-7.2-1PGDG
    libssl.so.2 is needed by postgresql-perl-7.2-1PGDG
    mx is needed by postgresql-python-7.2-1PGDG
    libcrypto.so.2 is needed by postgresql-python-7.2-1PGDG
    libssl.so.2 is needed by postgresql-python-7.2-1PGDG
    libcrypto.so.2 is needed by postgresql-server-7.2-1PGDG
    libreadline.so.4 is needed by postgresql-server-7.2-1PGDG
    libssl.so.2 is needed by postgresql-server-7.2-1PGDG
    libcrypto.so.2 is needed by postgresql-tcl-7.2-1PGDG
    libreadline.so.4 is needed by postgresql-tcl-7.2-1PGDG
    libssl.so.2 is needed by postgresql-tcl-7.2-1PGDG
    libtcl.so.0 is needed by postgresql-tcl-7.2-1PGDG
    libcrypto.so.2 is needed by postgresql-tk-7.2-1PGDG
    libreadline.so.4 is needed by postgresql-tk-7.2-1PGDG
    libssl.so.2 is needed by postgresql-tk-7.2-1PGDG
    libtcl.so.0 is needed by postgresql-tk-7.2-1PGDG
    libtk.so.0 is needed by postgresql-tk-7.2-1PGDG


    PS. I already did an installation on a redhat 7.2 without problems

  6. #6
    Join Date
    Sep 2001
    Location
    Vienna
    Posts
    400

    problem

    I don't have at the monent 7.1 here
    but now it's personal for
    me I will get this running and I will post this here
    http://www.postgresql.org
    --Postgresql is the only kind of thing--

  7. #7
    Join Date
    Sep 2001
    Location
    Vienna
    Posts
    400

    RPM Problem

    There is really a problem whith this rpms.

    I don't know exactly what it is
    but if you want to run the v7.2 under red hat 7.1
    you better compile it on the system

    It's easier before you work hard on the rpms.

    maybe the rpms work but I'm out of time to test this efficiently.
    http://www.postgresql.org
    --Postgresql is the only kind of thing--

  8. #8
    Join Date
    Jan 2002
    Posts
    19

    Re: RPM Problem

    Originally posted by eperich
    There is really a problem whith this rpms.

    I don't know exactly what it is
    but if you want to run the v7.2 under red hat 7.1
    you better compile it on the system

    It's easier before you work hard on the rpms.

    maybe the rpms work but I'm out of time to test this efficiently.
    I agree with you but I like know for example the parameter
    used for compile the actual bin.

  9. #9
    Join Date
    Sep 2001
    Location
    Vienna
    Posts
    400

    what are your needs?

    you have to edit the configure
    with
    ./configure --help
    you get all the parameters available

    there you can see a short explanaition of the parameters
    http://www.postgresql.org
    --Postgresql is the only kind of thing--

  10. #10
    Join Date
    Jan 2002
    Posts
    19

    Re: what are your needs?

    Originally posted by eperich
    you have to edit the configure
    with
    ./configure --help
    you get all the parameters available

    there you can see a short explanaition of the parameters
    Yes I know but, which value was used for compile the actual bin that I can find for redhat 7.2? And what about compile the other packages:

    postgresql-contrib-7.2-1PGDG.i386.rpm
    postgresql-devel-7.2-1PGDG.i386.rpm
    postgresql-docs-7.2-1PGDG.i386.rpm
    postgresql-jdbc-7.2-1PGDG.i386.rpm
    postgresql-libs-7.2-1PGDG.i386.rpm
    postgresql-odbc-7.2-1PGDG.i386.rpm
    postgresql-perl-7.2-1PGDG.i386.rpm
    postgresql-python-7.2-1PGDG.i386.rpm
    postgresql-tcl-7.2-1PGDG.i386.rpm
    postgresql-test-7.2-1PGDG.i386.rpm
    postgresql-tk-7.2-1PGDG.i386.rpm



  11. #11
    Join Date
    Sep 2001
    Location
    Vienna
    Posts
    400

    missed the point

    I mean no RPMS
    download the sources

    postgresql-7.2.tar.gz
    NO SRC-RPMS
    directly from the sources

    I compiled it yesterday on an red hat7.1
    runs perfectly
    http://www.postgresql.org
    --Postgresql is the only kind of thing--

  12. #12
    Join Date
    Jan 2002
    Posts
    19

    Re: missed the point

    Originally posted by eperich
    I mean no RPMS
    download the sources

    postgresql-7.2.tar.gz
    NO SRC-RPMS
    directly from the sources

    I compiled it yesterday on an red hat7.1
    runs perfectly
    I will and I let you know.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •